
#include <AnimationrigMisc.h>

namespace Animrig {
	const float Misc::FloatZero = 0.000001f;
	const float Misc::InputFloatIndex = 0x10000;
	const std::wstring Misc::_noname = L"unnamed";
	const float Misc::PI = 3.14159265358979323846f;
	const double Misc::RadianToAngle = 1 / (Misc::PI * 2);
	const Matrix4 Misc::IdentityMatrix4 = 
	{
		1.0f, // _11
		0.0f, // _12
		0.0f, // _13
		0.0f, // _14
		0.0f, // _21
		1.0f, // _22
		0.0f, // _23
		0.0f, // _24
		0.0f, // _31
		0.0f, // _32
		1.0f, // _33
		0.0f, // _34
		0.0f, // _41
		0.0f, // _42
		0.0f, // _43
		1.0f  // _44
	};
	const Vector3 Misc::ZeroVector3 =
	{
		0.0f,0.0f,0.0f,0.0f
	};
	const FloatColor Misc::WhiteColor = {
		1.0f,1.0f,1.0f,1.0f
	};
	const FloatColor Misc::BlackColor = {
		1.0f,0.0f,0.0f,0.0f
	};
}